
%define __os_install_post %{nil}

Name:	filen-desktop
Version:	2.0.24
Release:	%mkrel 1
License:	GPLv3
Group:	Networking/Remote access
Summary: Encrypted Cloud Storage Client
Url: https://filen.io/
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Zero knowledge end-to-end encrypted cloud storage, similar to Dropbox but better.
10 Gig free storage limit. Pay for more. Requires sign up at https://filen.io/
This is the desktop client. Web access is also available. Protect your privacy
with filen-desktop.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://cdn.filen.io/desktop/release/filen_x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/filen_x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Sep 04 2023  tex - 2.0.24-1pclos2022
- create pkg
